#
# spec file for package python-infoblox-client
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-infoblox-client
Version:        0.4.20
Release:        1.1
Summary:        Client for interacting with Infoblox NIOS over WAPI
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/infobloxopen/infoblox-client
Source0:        https://pypi.io/packages/source/i/infoblox-client/infoblox-client-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  python-devel
BuildRequires:  python-oslo.log >= 1.8.0
BuildRequires:  python-oslo.serialization >= 1.4.0
BuildRequires:  python-requests >= 2.5.2
BuildRequires:  python-setuptools >= 17.1
# test requirements
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-pbr
Requires:       python-oslo.log >= 1.8.0
Requires:       python-oslo.serialization >= 1.4.0
Requires:       python-requests >= 2.5.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%package doc
Summary:        Documentation for python-infoblox-client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
Requires:       %{name} = %{version}

%description
Client for interacting with an Infoblox NIOS appliance through its API

%description doc
This package contains extra documentation for python-infoblox-client

%prep
%setup -q -n infoblox-client-%{version}

%build
python setup.py build
python setup.py build_sphinx
rm build/sphinx/html/.buildinfo

%check
nosetests

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS.rst README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc LICENSE
%doc build/sphinx/html

%changelog
* Thu Apr  5 2018 tbechtold@suse.com
- update to 0.4.20:
  * Updated default WAPI version from 1.4 to 2.1
  * Changed logging of failure on object search from Error to Warning
  * Fix bug related to temporary unavailable status code
  * Added pagination support for wapi calls
* Tue Aug 29 2017 snica@suse.com
- update to 0.4.15
  * Changed logic of generate duid using only mac address
  * Add function to check object is created or reused
  * Add TTL field to HostRecordV*
  * Add CNAME record support
  * Specify return fields for an SRV record
* Mon Dec 19 2016 dmueller@suse.com
- update to 0.4.12:
  * Allow search all fields
  * Remove ptrdname from PTR record search attributes
  * Add search HostRecords by MAC
  * Updated history and author
  * Add function to get fixed addresses by mac
  * Add ptrdname search option to PtrRecord objects
* Wed Aug 31 2016 johannes.grassler@suse.com
- Initial package.
